Bug 22368 - vim does not reset text colors properly (ansi, scoansi, ansic)
vim does not reset text colors properly (ansi, scoansi, ansic)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-15 15:51 EST by John Hardin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-15 15:51:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Hardin 2000-12-15 15:51:08 EST
vim-*-5.6-11 (RH6.2) + termcap-11.0.1-3 (RH7.0) does not reset text colors
properly, which can lead to unreadable text in some situations.

Environment: telnet from SCO console or terminal emulator set to SCO ANSI.
$TERM=scoansi or $TERM=ansi.

Edit a short (5 line) file. The file text is the foreground color, the
tildes indicating past-EOF are blue.

Type :fnord - ":fnord" is in dark blue, and "Not an editor command" is
white-on-red. Now press ^L to redraw - the entire screen is white-on-red.

Type :!ls - a directory listing in dark blue is followed by "Press
enter..." in green. Press [ENTER] and all text is now green-on-red
(seasonally appropriate but not correct.)

Type :q to quit. The ":q" is in dark blue, as is the shell text after vi exits.

The color changes at the : prompt do not affect the background color, so if
you started with your background color set to dark blue and immediately
type ":q", your shell text is now unreadable.

If colors are going to be used, then the colors should be reset to the
"plain text" colors after events like a command, and upon exit.

It would also be nice is there was a way to completely disable color use
within vim.
Comment 1 Bernhard Rosenkraenzer 2001-01-22 07:22:09 EST
If you don't want colorization, edit your .vimrc to say something along the
lines of

if &t_Co > 2 || has("gui_running")
	syntax off
	set hlsearch=0
endif

Resetting the colors should work in 6.0-0.21 (rawhide).
Comment 2 John Hardin 2001-01-22 20:33:34 EST
This is independent of syntax highlighting and hlsearch.

I'm trying to compile vim-6.0 under RH6.2 to test it and I get the following
errors:

+ %makeinstall BINDIR=/var/tmp/vim-root/bin DESTDIR=/var/tmp/vim-root
fg: no job control
+ mv /var/tmp/vim-root/bin/xxd /var/tmp/vim-root/usr/bin
mv: /var/tmp/vim-root/bin/xxd: No such file or directory
Bad exit status from /var/tmp/rpm-tmp.99715 (%install)

Should I be able to compile vim-6.0-0.21 under 6.2?
Comment 3 John Hardin 2001-03-15 13:32:23 EST
This bug is not resolved, please reopen it. The problem exists under both RH6.2
and RH7, with vim-common-6.0-0.26 and termcap-11.0.1-3

Note You need to log in before you can comment on or make changes to this bug.